package cn.pojo.vo;

/**路由meta对象参数说明见RouterVo */
public class MetaVo {
	/**
	 * 菜单栏及 tagsView 栏、菜单搜索名称
	 * 设置该路由在侧边栏和面包屑中展示的名字
	 */
	private String title;
	/**
	 * 是否超链接菜单，开启外链条件，`1、isLink:true 2、链接地址不为空`
	 */
	private String isLink;

	/**
	 * 是否缓存组件状态
	 */
	private boolean isKeepAlive;
	/**
	 * 是否固定在 tagsView 栏上
	 */
	private boolean isAffix;
	/**
	 * 是否内嵌窗口，，开启条件，`1、isIframe:true 2、链接地址不为空`
	 */
	private boolean isFrame;
	/**
	 * 当前路由权限标识（多个请用逗号隔开），最后转成数组格式，用于与当前用户权限进行对比，控制路由显示、隐藏
	 */
	private String roles;
	/**
	 * 菜单、tagsView 图标，阿里：加 `iconfont xxx`，fontawesome：加 `fa xxx`
	 * 设置该路由的图标，对应路径src/icons/svg
	 */
	private String icon;

	public MetaVo() {
		super();
	}

	/**
	 * @return the isHide
	 * isHide:页面是显示hide。问题由谁引起 不清楚。 
	 */
	public boolean getIsHide() {
		return isHide;
	}

	/**
	 * @param isHide the isHide to set
	 */
	public void setHide(boolean isHide) {
		this.isHide = isHide;
	}
	/**
	 * 是否隐藏此路由
	 */
	private boolean isHide;
	
	public MetaVo(String title, String isLink, boolean isHide, boolean isKeepAlive,
			     boolean isAffix, boolean isFrame, String auth, String icon) {
		this.title = title;
		this.isLink = isLink;
		this.isHide = isHide;
		this.isKeepAlive = isKeepAlive;
		this.isAffix = isAffix;
		this.isFrame = isFrame;
		this.roles = auth;
		this.icon = icon;
	}

	/**
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * @param title the title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * @return the isLink
	 */
	public String getIsLink() {
		return isLink;
	}

	/**
	 * @param isLink the isLink to set
	 */
	public void setIsLink(String isLink) {
		this.isLink = isLink;
	}



	/**
	 * @return the isKeepAlive
	 */
	public boolean getIsKeepAlive() {
		return isKeepAlive;
	}

	/**
	 * @param isKeepAlive the isKeepAlive to set
	 */
	public void setKeepAlive(boolean isKeepAlive) {
		this.isKeepAlive = isKeepAlive;
	}

	/**
	 * @return the isAffix
	 */
	public boolean getIsAffix() {
		return isAffix;
	}

	/**
	 * @param isAffix the isAffix to set
	 */
	public void setAffix(boolean isAffix) {
		this.isAffix = isAffix;
	}

	/**
	 * @return the isFrame
	 */
	public boolean getIsFrame() {
		return isFrame;
	}

	/**
	 * @param isFrame the isFrame to set
	 */
	public void setFrame(boolean isFrame) {
		this.isFrame = isFrame;
	}

	/**
	 * @return the roles
	 */
	public String getRoles() {
		return roles;
	}

	/**
	 * @param roles the roles to set
	 */
	public void setRoles(String roles) {
		this.roles = roles;
	}

	/**
	 * @return the icon
	 */
	public String getIcon() {
		return icon;
	}

	/**
	 * @param icon the icon to set
	 */
	public void setIcon(String icon) {
		this.icon = icon;
	}
}
